Change log for riece package in Ubuntu

127 of 27 results
Published in eoan-release on 2019-04-21
Deleted in eoan-proposed (Reason: moved to release)
riece (9.0.0-9) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/patches
    - add 0003-fix-stuck-on-startup.patch (Closes: #927263)

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Hideki Yamane <email address hidden>  Fri, 19 Apr 2019 21:52:53 +0900

Available diffs

Superseded in eoan-release on 2019-04-21
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-02-13
Deleted in bionic-proposed (Reason: moved to release)
riece (9.0.0-8) unstable; urgency=medium

  * debian/control
    - use https for Homepage:
    - move Vcs-* to salsa.debian.org
    - set Build-Depends: debhelper (>= 11)
    - set Standards-Version: 4.1.3
  * debian/watch
    - use https
  * debian/compat
    - set 11
  * debian/copyright
    - use https and update copyright year

 -- Hideki Yamane <email address hidden>  Tue, 13 Feb 2018 20:23:58 +0900

Available diffs

Superseded in bionic-release on 2018-02-13
Published in artful-release on 2017-07-20
Deleted in artful-proposed (Reason: moved to release)
riece (9.0.0-7) unstable; urgency=medium

  * debian/control
    - drop Suggests: easypg, already removed from repository,
      see https://bugs.debian.org/654943 
  * debian/emacsen-install
    - remove unnecessary xpm file (Closes: #857775)
      Thanks to Andreas Beckmann <email address hidden>

 -- Hideki Yamane <email address hidden>  Thu, 20 Jul 2017 05:56:28 +0900

Available diffs

Superseded in artful-release on 2017-07-20
Deleted in artful-proposed on 2017-07-21 (Reason: moved to release)
riece (9.0.0-6) unstable; urgency=medium

  * debian/rules
    - drop --with autoreconf
  * debian/compat
    - set 10
  * debian/control
    - set Build-Depends: debhelper (>= 10) and drop dh-autoreconf 
    - use https for Vcs-*
    - set Standards-Version: 4.0.0
  * debian/watch
    - update to version 4

 -- Hideki Yamane <email address hidden>  Sat, 15 Jul 2017 15:29:26 +0900

Available diffs

Superseded in artful-release on 2017-07-15
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
riece (9.0.0-5) unstable; urgency=medium

  * debian/control
    - add Depends: emacsen-common (>= 2.0.8) to comply Emacs Policy.

 -- Hideki Yamane <email address hidden>  Sat, 01 Aug 2015 23:10:37 +0900

Available diffs

Superseded in wily-release on 2015-08-02
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
riece (9.0.0-4) unstable; urgency=medium


  * debian/control
    - improve descriptions to fix lintian description-synopsis-starts-with-article
      warning.
  * remove debian/preinst, debconf usage was removed in 2006 and dealing with
    old setting is probably unnecessary anymore.

 -- Hideki Yamane <email address hidden>  Sat, 03 Jan 2015 21:19:00 +0900

Available diffs

Superseded in vivid-release on 2015-01-03
Deleted in vivid-proposed on 2015-01-04 (Reason: moved to release)
riece (9.0.0-3) unstable; urgency=medium


  * debian/preinst
    - Drop handling of emacsen-startup.1.0.8-2 (closes: #601325)
      That is unfortunately rejected previous upload, included again.
      Thanks to Tatsuya Kinoshita <email address hidden>

 -- Hideki Yamane <email address hidden>  Mon, 03 Nov 2014 19:05:52 +0900

Available diffs

Superseded in vivid-release on 2014-11-03
Deleted in vivid-proposed on 2014-11-04 (Reason: moved to release)
riece (9.0.0-1) unstable; urgency=medium


  * New Maintainer (Closes: #654944)
  * New upstream release
  * moderize package 
    - add debian/upstream/signing-key.asc file
    - debian/watch
      + clean up
      + add opts="pgpsigurlmangle=s/$/.sig/" to verify upstream pgp sign
    - add debian/source/format as "3.0 (quilt)"
    - set 9 in debian/compat
    - debian/control
      + "Build-Depends: debhelper (>9)
      + set Standards-Version: 3.9.6
      + s/libgettext-ruby1.8/ruby-gettext/ and drop ruby1.8
      + drop libsoap-ruby1.8 and successor ruby-soap4r package just supports
        1.9 and 2.0, not 2.1 for default in Debian8 "Jessie"
      + add "dh-autoreconf" and drop: "autoconf, automake | automaken"
      + add "Homepage" field
      + add "Vcs-*" field
    - add emacsen-compat (Closes: #762895)
  * remove debian/dirs and riece.lintian-overrides, just specify dependency
    for debconf is good way
  * debian/control
    - add Depends: debconf
  * remove debian/control.in file since it contains few variables and it's not
    necessary to maintain
  * debian/patches
    - add DESTDIR.patch to avoid installation failure

 -- Hideki Yamane <email address hidden>  Sun, 02 Nov 2014 00:03:52 +0900

Available diffs

Superseded in vivid-release on 2014-11-03
Deleted in vivid-proposed on 2014-11-04 (Reason: moved to release)
riece (8.0.0-1.3) unstable; urgency=medium


  * Non-maintainer upload.
  * Drop handling of emacsen-startup.1.0.8-2 (closes: #601325)

 -- Tatsuya Kinoshita <email address hidden>  Sun, 26 Oct 2014 08:48:07 +0900

Available diffs

Superseded in vivid-release on 2014-10-26
Deleted in vivid-proposed on 2014-10-27 (Reason: moved to release)
riece (8.0.0-1.2) unstable; urgency=medium


  * Non-maintainer upload.
  * debian/control.in
    - s/automake1.9/automake/ for Build-Depends-Indep to fix build failure
      with sbuild (Closes: #761547)

 -- Hideki Yamane <email address hidden>  Wed, 24 Sep 2014 10:38:40 +0900

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-04-10
Deleted in trusty-proposed (Reason: moved to release)
riece (8.0.0-1.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741723)

 -- Eric Dorland <email address hidden>  Sat, 22 Mar 2014 15:40:19 -0400

Available diffs

Superseded in trusty-release on 2014-04-10
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
riece (8.0.0-1) unstable; urgency=low

  * New upstream release
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  27 Jun 2011 08:07:55 +0000

Available diffs

Superseded in oneiric-release on 2011-06-27
Obsolete in natty-release on 2013-06-04
riece (7.0.2-1) unstable; urgency=low

  * New upstream release
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  14 Dec 2010 14:02:49 +0000

Available diffs

Superseded in natty-release on 2010-12-14
Obsolete in maverick-release on 2013-03-05
riece (7.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standard-Version): Increase to 3.8.4.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  31 May 2010 10:32:26 +0100

Available diffs

Superseded in maverick-release on 2010-05-31
Obsolete in lucid-release on 2016-10-26
riece (6.1.0-2) unstable; urgency=low

  * Rebuild with the newest debhelper. 
  * control.in (Standards-Version): Increase to 3.8.3.

Available diffs

Superseded in lucid-release on 2009-11-06
Obsolete in karmic-release on 2013-03-04
riece (6.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standards-Version): Increase to 3.8.1.
  (riece/Depends): Add ${misc:Depends}.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  04 Jun 2009 05:48:20 +0100

Available diffs

Superseded in karmic-release on 2009-06-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
riece (5.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standards-Version): Increase to 3.8.0.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  24 Jun 2008 13:49:31 +0100

Available diffs

Superseded in intrepid-release on 2008-06-24
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
riece (4.0.0-3) unstable; urgency=low

  * rules (clean): Avoid lintian warning.
  * control.in (riece/Depends): Use emacs instead of emacs21.
  (Build-Depends-Indep): Ditto.

 -- Michael Bienia <email address hidden>   Fri,  10 Aug 2007 09:28:08 +0100
Superseded in gutsy-release on 2007-08-10
riece (4.0.0-2) unstable; urgency=low

  * emacsen-startup: Set `riece-data-directory' to
  "/usr/share/emacs/site-lisp/riece". (closes: #428815) 
  * preinst (createStartupFile): Ditto.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 Jun 2007 17:04:58 +0100
Superseded in gutsy-release on 2007-06-18
riece (4.0.0-1) unstable; urgency=low

  * New upstream release
  * watch: Add version and script fields.
  * riece.lintian-overrides: New file.
  * rules (install/riece): Install it.
  * dirs: Add usr/share/lintian/overrides entry.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  30 May 2007 07:35:06 +0100
Superseded in gutsy-release on 2007-05-30
riece (3.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  27 Apr 2007 01:20:52 +0100
Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
riece (3.1.1-1) unstable; urgency=low

  * New upstream release

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
riece (3.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standards-Version): Increase to 3.7.2.
  (Build-Depends): New field.
  (Build-Depends-Indep): Remove @cdbs@.
  (Suggests): New field.
  

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
riece (1.0.8-2) unstable; urgency=low


  * control (Standards-Version): Increased to 3.6.2.
  * control (riece/Build-Depends-Indep): Use `emacsen' instead of
  `xemacs21'. (closes: #300883)
  (riece/Depends): Ditto.
  (riece/Depends): Depends debconf-2.0. (closes: #332084)
  * control (riece-ndcc/Depends): Depends emacs-snapshot. (closes: #328900)
  * riece-ndcc.emacsen-install: Support emacs-snapshot.
  * po/vi.po: Initial Vietnamese translation. (closes: #317780)
  * po/cs.po: Follow the version of 1.0.8. (closes: #313256)
  * po/fr.po: Ditto. (closes: #303104)

 -- OHASHI Akira <email address hidden>  Mon, 21 Nov 2005 20:27:07 +0900
Obsolete in breezy-release on 2008-03-25
riece (1.0.8-1) unstable; urgency=low


  * New upstream release
  * COMPILE: Update.
  * watch: New file.

 -- OHASHI Akira <email address hidden>  Mon, 14 Mar 2005 18:00:09 +0900
Obsolete in hoary-release on 2008-03-19
riece (1.0.6-2) unstable; urgency=low


  * po/cs.po: Initial Czech translation. (closes: #287297)

 -- OHASHI Akira <email address hidden>  Mon, 27 Dec 2004 10:19:07 +0900
Obsolete in warty-release on 2008-01-09
riece (1.0.0-1) unstable; urgency=low


  * New upstream release
  * po/ca.po: New po-debconf translation for catalan. (closes: #250130)
  * config: Add biff and ignore to addonlist.
  * control (riece-hangman): New binary package.
  (riece-kakasi): Ditto.
  * docs: Remove NEWS.
  * riece-rdcc.preinst: New file for removing obsolete conffile.

  * addon-conf: New file for generating add-on's conffiles.
  * addon.emacsen-install: New file which is a template of add-on's conffile.
  * addon.emacsen-remove: Ditto.
  * addon.emacsen-startup: Ditto.
  * rules (configure-stamp): Use them.
  (clean): Ditto.

 -- OHASHI Akira <email address hidden>  Sun, 30 May 2004 08:12:26 +0900
127 of 27 results